Subject: Re: bug#71200: TRAMP: Trying to do a project-find-file or (find-directory) using the podman method causes a (wrong-type-argument stringp nil) error

From: Dmitry Gutov <[email-masked]>
Date: Sun, 26 May 2024 18:29:50 +0300

Hi Michael,

On 26/05/2024 11:11, Michael Albinus via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> I cannot contribute to a solution in project.el. But your workaround
> would be much simpler if you use `file-local-name', instead of parsing
> the remote file name yourself.
> 
> Please let me know if you believe there's something wrong in Tramp which
> must be fixed.

 From what I understand this scenario only fails when using the 'podman' 
transport, but not 'ssh' transport - I'm using project-find-file and 
related commands over Tramp with no problem.

That makes it a Tramp bug, doesn't it? Somewhere in podman support code.